#include "entity_text.h"

/* Initializes a text entity. */
void
entity_text_init(ECS* ecs, u32 id, Font* font, char* string, u32 length, s32 wrap, vec3 position)
{
	ComponentText* text;

	text = ecs_component_add(ecs, ECS_COMPONENT_TEXT, id);

	component_text_init
	(
		text,
		font,
		string,
		length,
		wrap,
		position,
		(f32*)COLOR_OPAQUE
	);
}
